EDIT - task #8458

document FieldUnitDTOOccurrenceServicelmpl.findFieldUnitDTO()
08/12/2019 05:39 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.18

Severity: normal

Description

FieldUnitDTO OccurrenceServicelmpl.findFieldUnitDTO(DerivateDTO derivedUnitDTO, Collection<FieldUnitDTO> fieldUnits,
HashMap<UUID, DerivateDTO> alreadyCollectedSpecimen) misses documentation regarding the optional params which are not
being used in most cases (fieldUnits, alreadyCollectedSpecimen)

see #8414 for more details

Related issues:

Related to EDIT - bug #8423: OccurrenceServicelmpl.findFieldUnitDTO() fails t... Closed
Related to EDIT - task #9253: revise OccurrenceServicelmpl.findFieldUnitDTO(..) Closed
Copied from EDIT - task #8414: occurrence controller code cleaning and harmon... Closed

Associated revisions

Revision 6b929840 - 09/17/2019 12:31 PM - Katja Luther

fix #8458: remove unused parameter

Revision 89d6¢211 - 10/21/2019 10:51 AM - Katja Luther

ref #8458: revert removing of fieldUnitDto list as parameter

Revision a20e6aec - 12/01/2020 03:41 PM - Andreas Kohlbecker
fix #8458 documenting FieldUnitDTOOccurrenceServicelmpl.findFieldUnitDTO()

History

#1 - 08/12/2019 05:39 PM - Andreas Kohlbecker

- Tracker changed from bug to task

#2 - 08/12/2019 05:39 PM - Andreas Kohlbecker

- Assignee changed from Andreas Muiller to Katja Luther

#3 - 08/12/2019 05:39 PM - Andreas Kohlbecker

- Copied from task #8414: occurrence controller code cleaning and harmonization added

#4 - 08/12/2019 11:41 PM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.10

As this has been worked on recently we should do it soon.

#5 - 09/17/2019 12:31 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|60929840715bd88dc66fd3f0cc9abd88530b2487.

#6 - 09/18/2019 04:58 PM - Katja Luther

- Status changed from Resolved to In Progress
- Target version changed from Release 5.10 to Release 5.11

#7 - 11/05/2019 01:43 PM - Katja Luther

- Target version changed from Release 5.11 to Release 5.12

#8 - 01/16/2020 12:59 PM - Katja Luther

- Target version changed from Release 5.12 to Release 5.13

#9 - 03/10/2020 09:56 AM - Katja Luther

- Target version changed from Release 5.13 to Release 5.14

#10 - 04/17/2020 07:57 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#11 - 04/22/2020 10:18 AM - Katja Luther

- Target version changed from Release 5.15 to Release 5.18

#12 - 10/15/2020 10:57 AM - Andreas Kohlbecker
- Related to bug #8423: OccurrenceServicelmpl.findFieldUnitDTO() fails to merge derivation paths when a FieldUnit has two derivatives added

#13 - 10/15/2020 11:00 AM - Andreas Kohlbecker

- Description updated

#14 - 10/15/2020 11:00 AM - Andreas Kohlbecker
- Assignee changed from Katja Luther to Andreas Kohlbecker

- % Done changed from 50 to 20

#15 - 10/15/2020 11:09 AM - Andreas Kohlbecker
- Related to task #9253: revise OccurrenceServicelmpl.findFieldUnitDTO(..) added

#16 - 12/01/2020 03:41 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 20 to 50

Applied in changeset cdmlibla20e6aec783ee2e911e75f315e0c9e0137c2e7e7.

#17 - 12/01/2020 03:41 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
